%define anolis_release 1
Name:       ibus-libpinyin
Version:    1.15.2
Release:    %{anolis_release}%{?dist}
Summary:    Intelligent Pinyin engine based on libpinyin for IBus
License:    GPLv3+
URL:        https://github.com/libpinyin/ibus-libpinyin
Source0:    http://downloads.sourceforge.net/libpinyin/ibus-libpinyin/%{name}-%{version}.tar.gz
Requires:       python3-gobject
Requires:       ibus >= 1.5.11
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:  pkgconfig(ibus-1.0) >= 1.5.11
BuildRequires:  pkgconfig(libpinyin) >= 2.7.91
BuildRequires:  pkgconfig(lua) >= 5.1
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  make
Requires:   libpinyin-data >= 1.5.91
Obsoletes: ibus-pinyin < 1.4.0-17

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%description
It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo) 
input method based on libpinyin for IBus.

%prep
%setup -q

%build
%configure --disable-static \
           --disable-boost

%make_build

%install
%make_install

%py_byte_compile %{python3} $RPM_BUILD_ROOT%{_datadir}/ibus-libpinyin/setup

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/ibus-setup-libpinyin.desktop
%{_datadir}/applications/ibus-setup-libbopomofo.desktop
%{_libexecdir}/ibus-engine-libpinyin
%{_libexecdir}/ibus-setup-libpinyin
%{_datadir}/ibus-libpinyin
%{_datadir}/ibus/component/*

%files doc
%doc AUTHORS README

%changelog
* Mon Apr 10 2023 Funda Wang <fundawang@yeah.net> - 1.15.2-1
- New version 1.15.2

* Tue Jan 24 2023 Funda Wang <fundawang@yeah.net> - 1.15.0-1
- Import package for anolis 23
